Developer Hub
Request Demo
Request Demo
Support
  1. Entities
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API
    • Business Owners
      • Bulk Business Owners Download API
      • Bulk Business Owners Upload API
    • Configuration
      • Bulk Entity Finding Rules Download API
      • Bulk Custom Insights (Entity Rules) Download API
      • Bulk Filters Download API
      • Bulk Findings Download API
      • Get Branding Information
    • Employees
      • Bulk Employees Download API
      • Bulk Employees Upload API
    • Entitlements
      • Bulk Entitlements Download API
      • Bulk Entitlements Upload API
    • Entities
      • Bulk Entities Download API
        POST
      • Bulk Entities Upload API
        POST
      • Bulk Entities + Entity-Relations Zip Upload API
        POST
    • EntityInsights
      • Bulk Entity Insights Download API
    • EntityRelations
      • Bulk Entity Relations Download API
      • Bulk Entity Relations Upload API
    • EntityRBAC
      • Bulk Entity RBAC Download API
    • Integrations
      • Bulk Integrations Download API
    • Purposes
      • Bulk Purposes Download API
    • Relations
      • Bulk Relations Upload API
    • Requests
      • Bulk Requests Download API
    • Reviews
      • Bulk Reviews Download API
  • Relations
    • Bulk Employee Relations Upload API
      POST
    • Bulk Employee Relations Download API
      POST
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • EmployeeRelationsDownloadURLRequest
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. Entities

Bulk Entities Upload API

Deprecated
POST
https://balkanid.app/api/rest/v0/entities/upload-url
Deprecated — use POST /entities-bulk/upload-url to upload entities and entity-relations together as a single zip under one correlation ID.

BalkanID Entities Upload CSV Format#

In this section, we will explain the BalkanID Entities CSV format.

Sample CSV#

AppName*Entity Type*Source System*Source ID*Source Type*Metadata VersionMetadata
azureAabbott Reeseidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aabbott.reese@balkanit.onmicrosoft.com","lastPasswordChange":"2023-12-14 04:42:12 +0000 UTC","userCreatedDateTime":"2023-12-14 04:42:12 +0000 UTC","jobTitle":"Software Engineer","department":"Engineering"}
azureAaron Alvaradoidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aaron.alvarado@itadminbalkan.onmicrosoft.com","lastPasswordChange":"2023-12-14 05:02:01 +0000 UTC","userCreatedDateTime":"2023-12-14 05:02:01 +0000 UTC","jobTitle":"Analyst","department":"Operations"}
azureAaron Castroidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aaron.castro@itadminbalkan.onmicrosoft.com","lastPasswordChange":"2023-12-14 04:55:00 +0000 UTC","userCreatedDateTime":"2023-12-14 04:55:00 +0000 UTC","jobTitle":"Analyst","department":"Operations"}
azureAaron Chenidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aaron.chen@itadminbalkan.onmicrosoft.com","lastPasswordChange":"2023-12-14 04:50:34 +0000 UTC","userCreatedDateTime":"2023-12-14 04:50:34 +0000 UTC","jobTitle":"Engineer","department":"Product Administration"}
azureAaron Clayidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aaron.clay@balkanit.onmicrosoft.com","lastPasswordChange":"2023-12-14 04:58:58 +0000 UTC","userCreatedDateTime":"2023-12-14 04:58:58 +0000 UTC","jobTitle":"SVP Legal","department":"Legal"}
Columns with * are required always.
Column Definitions#
Column NameColumn Description
AppApplication the Entity is associated with
NameRequired - Name of the entity
Entity TypeRequired - The type of the entity
Source SystemRequired - Source System of the entity
Source IDRequired - ID of the source system
Source TypeRequired - Type of the source system
Metadata VersionVersion of the metadata, according to the metadata schema
MetadataMetadata for the entity
"Name", "Entity Type", "Source System", "Source ID", "Source Type" and required columns. If metadata is present, metadata version has to be specified.

Upload the CSV file via the pre-signed URL#

After retrieving the pre-signed URL in the previous step, all that remains is to upload the CSV in BalkanID Canonical CSV format to the pre-signed URL.
Below is a summary of the request using curl:
The request URL is the pre-signed URL from previous step.
The request method is PUT.
Required request body is the CSV in BalkanID Entities CSV format.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
API Key
Add parameter in header
X-API-KEY-SECRET
Example:
X-API-KEY-SECRET: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "integrationID": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://balkanid.app/api/rest/v0/entities/upload-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'X-API-KEY-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "integrationID": "string"
}'

Responses

🟢200OK
application/json
upload url response
Bodyapplication/json

Example
{
    "url": "string"
}
⚪defaultServer Error
Modified at 2026-11-06 13:38:07
Previous
Bulk Entities Download API
Next
Bulk Entities + Entity-Relations Zip Upload API
Built with